#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	kglobalaccel
Version		:	5.107.0
Release		:	14.4.0.0%{?dist}
Summary		:	KDE Global desktop keyboard shortcuts

Group		:	Applications/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2
URL		:	https://download.kde.org/stable/frameworks

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	extra-cmake-modules
BuildRequires	:	glu-devel
BuildRequires	:	kconfig
BuildRequires	:	kcrash
BuildRequires	:	kdbusaddons
BuildRequires	:	kwindowsystem
BuildRequires	:	qtx11extras-devel
#-----------------------------------------------------------------------------
%description
KGlobalAccel allows you to have global accelerators that are independent of
the focused window.  Unlike regular shortcuts, the application's window does not
need focus for them to be activated.

#-----------------------------------------------------------------------------
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

%{__mkdir} build
pushd build

cmake								\
	-D CMAKE_INSTALL_PREFIX=%{_prefix}			\
	-D CMAKE_INSTALL_LIBDIR=%{_libdir}			\
	-D CMAKE_BUILD_TYPE=Release				\
	-D KDE_INSTALL_BINDIR=%{_bindir}			\
	-D KDE_INSTALL_LIBDIR=%{_libdir}			\
	-D KDE_INSTALL_INCLUDEDIR=%{_includedir}		\
	-D BUILD_TESTING=OFF 					\
	..

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}
popd
#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}

%{__make}							\
	-C build						\
	DESTDIR=%{buildroot}					\
	install

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)

%doc README.md
%{_bindir}/%{name}5
%{_includedir}/KF5/KGlobalAccel/*
%{_libdir}/systemd/user/plasma-%{name}.service
%{_libdir}/cmake/KF5GlobalAccel/*.cmake
%{_libdir}/libKF5GlobalAccel*.so*
%{_datadir}/dbus-1/interfaces/kf5_org.kde.KGlobalAccel*.xml
%{_datadir}/dbus-1/interfaces/kf5_org.kde.%{name}*.xml
%{_datadir}/dbus-1/services/org.kde.%{name}.service
%{_datadir}/kservices5/%{name}5.desktop
%{_datadir}/plugins/org.kde.kglobalaccel5.platforms/*.so
%{_datadir}/locale/*/LC_MESSAGES/%{name}5_qt.qm
%{_datadir}/mkspecs/modules/qt_*.pri
%{_datadir}/qlogging-categories5/%{name}.categories
%{_datadir}/qlogging-categories5/%{name}.renamecategories

#-----------------------------------------------------------------------------
%post
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%postun
/usr/sbin/ldconfig

#-----------------------------------------------------------------------------
%changelog
